const WebSocket = require('ws')
const wss = new WebSocket.Server({ noServer: true, clientTracking: true })

wss.on('connection', (ws) => {
  console.log('Client Connected')

  ws.on('close', () => {
    console.log('Client Disconnected')
  })
})

export default function () {
  this.nuxt.hook('listen', (server) => {
    server.on('upgrade', (request, socket, head) => {
      wss.handleUpgrade(request, socket, head, (ws) => {
        wss.emit('connection', ws)
      })
    })
  })
}
